Class RAPServlet
java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
net.ontopia.topicmaps.utils.tmrap.RAPServlet
- All Implemented Interfaces:
Serializable,javax.servlet.Servlet,javax.servlet.ServletConfig
public class RAPServlet
extends javax.servlet.http.HttpServlet
EXPERIMENTAL: Implements the TMRAP protocol.
- See Also:
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final String -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoiddoGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) Supported TMRAP protocol requests:voiddoGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String URLString) INTERNAL A variant of 'doGet' that allows the caller to specify the URLString.voiddoPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) voiddoPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String URLString) voidinit(javax.servlet.ServletConfig config) Methods inherited from class javax.servlet.http.HttpServlet
doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, serviceMethods inherited from class javax.servlet.GenericServlet
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log
-
Field Details
-
CLIENT_PARAMETER_NAME
- See Also:
-
FRAGMENT_PARAMETER_NAME
- See Also:
-
INDICATOR_PARAMETER_NAME
- See Also:
-
SOURCE_PARAMETER_NAME
- See Also:
-
SUBJECT_PARAMETER_NAME
- See Also:
-
SYNTAX_PARAMETER_NAME
- See Also:
-
TOLOG_PARAMETER_NAME
- See Also:
-
TOPICMAP_PARAMETER_NAME
- See Also:
-
VIEW_PARAMETER_NAME
- See Also:
-
COMPRESS_PARAMETER_NAME
- See Also:
-
STATEMENT_PARAMETER_NAME
- See Also:
-
SYNTAX_ASTMA
- See Also:
-
SYNTAX_LTM
- See Also:
-
SYNTAX_TM_XML
- See Also:
-
SYNTAX_TOLOG
- See Also:
-
SYNTAX_CTM
- See Also:
-
SYNTAX_XTM
- See Also:
-
RAP_NAMESPACE
- See Also:
-
-
Constructor Details
-
RAPServlet
public RAPServlet()
-
-
Method Details
-
init
public void init(javax.servlet.ServletConfig config) throws javax.servlet.ServletException - Specified by:
initin interfacejavax.servlet.Servlet- Overrides:
initin classjavax.servlet.GenericServlet- Throws:
javax.servlet.ServletException
-
doGet
public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws IOException, javax.servlet.ServletException Supported TMRAP protocol requests:GET /xtm-fragment?topicmap=[]&source=[]&indicator=[] GET /topic-page?topicmap=[]&source=[]&indicator=[]
- Overrides:
doGetin classjavax.servlet.http.HttpServlet- Throws:
IOExceptionjavax.servlet.ServletException
-
doGet
public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String URLString) throws IOException, javax.servlet.ServletException INTERNAL A variant of 'doGet' that allows the caller to specify the URLString. Useful when 'request' doesn't support getRequestURL() (e.g. when testing).- Throws:
IOExceptionjavax.servlet.ServletException
-
doPost
public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws IOException, javax.servlet.ServletException - Overrides:
doPostin classjavax.servlet.http.HttpServlet- Throws:
IOExceptionjavax.servlet.ServletException
-
doPost
public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String URLString) throws IOException - Throws:
IOException
-